Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.variation.driver
Interface TranscriptVariationAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface TranscriptVariationAdaptor
extends Adaptor

This adaptor provides database connectivity for TranscriptVariation objects. TranscriptVariations which represent an association between a variation and a Transcript may be retrieved from the Ensembl variation database via several means using this class.

Author:
  Craig Melsopp

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`TranscriptVariation` | `fetch(long internalID)`
`java.util.List` | `fetch(Transcript transcript)` Retrieves all TranscriptVariation objects associated with provided transcript.
`java.util.List` | `fetch(VariationFeature variationFeature)` Retrieves all TranscriptVariation objects associated with provided Ensembl variation features.

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetch

    public TranscriptVariation fetch(long internalID)
                              throws AdaptorException

  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(VariationFeature variationFeature)
                         throws AdaptorException

  Retrieves all TranscriptVariation objects associated with provided Ensembl variation features. Attaches them to the given variation features.

  Returns:
    zero or more TranscriptVariations associated with the variationFeature.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(Transcript transcript)
                         throws AdaptorException

  Retrieves all TranscriptVariation objects associated with provided transcript. Attaches them to the given variation features.

  Returns:
    zero or more TranscriptVariations associated with the transcript.
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD